# application

# embedded server

# Dubbo Registry ?backup=112.74.48.214:2181,120.79.80.138:2181
dubbo.registry.address=zookeeper://192.168.0.103:2181

# Dubbo Protocol
dubbo.application.name=consumer

dubbo.protocol.name=dubbo
dubbo.protocol.port=20880
dubbo.protocol.payload=52428800


# stock h5 url
api.stock_h5=http://119.23.39.237:9088

# pai xiu url
api.paixiu=http://114.67.22.96:9089

#email file path
me.email.dzpath=/data/wwwroot/ordertestatt.octlife.cn/
common.static.resource.uploadOne=/data/wwwroot/ordertestatt.octlife.cn/img/
common.static.resource.uploadPathBySupplierAccountingAppeal=/data/wwwroot/ordertestatt.octlife.cn/img_supplier_accounting_appeal/


# ######################### [kafka topic] start #########################

# 指定kafka 代理地址，可以多个
#spring.kafka.bootstrap-servers=47.107.240.183:9092,112.74.48.214:9092,120.79.80.138:9092
#spring.kafka.bootstrap-servers=172.18.35.57:9092
spring.kafka.bootstrap-servers=192.168.0.103:9092
#=============== consumer  =======================
# 指定kafka 默认消费者group id
spring.kafka.consumer.group-id=uniorder-group-qch


# order config
me.orderTopic=orderdev


# 老系统 同步 项目 企业 用户 弃用
custom.buildwindow.topic=buildwindow_test


# KAFKA TOPIC 楼闪送 # 20211008
superdesk.app.services.flashdeliver.kafka.topic.order.main=flashdeliver_order
superdesk.app.services.flashdeliver.kafka.topic.order.refund=flashdeliver_order_refund
superdesk.app.services.flashdeliver.kafka.topic.order.update_status=unifiedorderupdatedev
superdesk.app.services.flashdeliver.kafka.topic.merchant=superdesk-app-transfer-receive_merchant

# KAFKA TOPIC 小邮局
superdesk.app.services.postoffice.kafka.topic.order.main=postoffice_order

# KAFKA TOPIC 会议室 # 20210927
superdesk.app.services.meetingroomreservation.kafka.topic.order.main=superdesk-app-transfer-receive_hysy_order

# KAFKA TOPIC 混合商城 订单 计划弃用 20211130
superdesk.mall.kafka.topic.mix.order=orderpro
# KAFKA TOPIC 混合商城 退单 计划弃用 20211130
superdesk.mall.kafka.topic.mix.refund=refundpro

# KAFKA TOPIC 福利商城 订单
superdesk.mall.kafka.topic.flsc.order=flsc_order
# KAFKA TOPIC 福利商城 退单
superdesk.mall.kafka.topic.flsc.refund=flsc_refund

# KAFKA TOPIC 福利商城_侨城汇 订单
superdesk.mall.kafka.topic.flsc_qch.order=order_score_test
# KAFKA TOPIC 福利商城_侨城汇 退单
superdesk.mall.kafka.topic.flsc_qch.refund=order_score_refund_test

# KAFKA TOPIC 企业内购 订单
superdesk.mall.kafka.topic.qyng.order=qyng_order
# KAFKA TOPIC 企业内购 退单
superdesk.mall.kafka.topic.qyng.refund=qyng_refund

# KAFKA TOPIC 代客下单 订单
superdesk.mall.kafka.topic.proxyclient.order=proxyclient_order
# KAFKA TOPIC 代客下单 退单 预留 目前没有需求说要实现
superdesk.mall.kafka.topic.proxyclient.refund=proxyclient_refund



superdesk.mall.kafka.topic.organisation.supplier=superdesk-mall-receive_merchant
superdesk.mall.kafka.topic.organisation.virtualarchitecture=superdesk-mall-receive_virtualarchitecture

# superdesk-mall 商户 --供应商 supplier kafka 看了数据后，还是不清楚到底是哪里同步过来的
superdesk.mall.kafka.topic.supplier=supplierSync

# superdesk-app 基金 ---- 美珍
custom.fund.topic=creditdev
custom.test.topic=test




# new superservice kaf 1031 此topic 弃用 receive 有常量
custom.company.topic=superdesk-app-transfer-receive_company
custom.project.topic=superdesk-app-transfer-receive_organization
custom.virt.topic=superdesk-app-transfer-receive_virtualarchitecture

# superdesk-app 运营商 or 渠道商 new 1205 对接人 ---- 姜勇 new 1205
superdesk.app.services.organization.kafka.topic.channel.main=sw-un-operater
superdesk.app.services.organization.kafka.topic.channel.opt=sw-un-businesspor




# ######################### [kafka topic] end  #########################





# unified out token url
#unified.out.tokenurl=http://wx.palmnest.com/super_cloud/api/organisation/wechat/front/user/getVirAndUserInfo
unified.out.tokenurl=http://wx.palmnest.com/super_cloud/api/organisation/wechat/front/user/getVirAndUserInfo
#unified.out.tokenurl=http://superdesk.avic-s.com/super_cloud/api/organisation/wechat/front/user/getVirAndUserInfo

#unified out sale url
unified.out.saleurl=http://service.superdesk.cn/api/organisation/wechat/front/merchant/findMerchantById




# [统一支付] service _wechat pay api url
#[服务之窗 - 统一支付 接口 ---- 支付]
unified.dzman.wx.pay.apiurl=http://wx.palmnest.com/super_cloud/api/wechat/front/pay/v2/unifiedPay
#[服务之窗 - 统一支付 接口 ---- 订单支付状态 查询]
unified.dzman.wx.pay.orderquery=http://wx.palmnest.com/super_cloud/api/wechat/front/pay/orderquery
#[微信前端 - 支付结果页面]
unified.dzman.wx.pay.backurl=http://ordertest.avic-s.com/avicfile/enterpise_bill/#/paySuccess
#[统一订单 - callback 当服务之窗 统一支付 返回结果]
unified.dzman.wx.pay.notifyurl=http://order.test.api.superdesk.cn/web/wechat/wxpayNotify
# [统一支付] service _wechat pay api url




zookeeper.servers=192.168.0.103:2181
# 指定分布式锁路径
zookeeper.lock_path=/lock/
# session超时时间
zookeeper.session_timeout_ms=60000
# 连接超时时间
zookeeper.connection_timeout_ms=5000
# 尝试获取锁最大重试次数
zookeeper.retry_count=5
# 重试间隔时间
zookeeper.elapsed_time_ms=1000


# 核心线程池大小
task.pool.core-pool-size=10
# 最大线程数
task.pool.max-pool-size=30
# 活跃时间
task.pool.keep-alive-seconds=60
# 队列容量
task.pool.queue-capacity=50




env.output.enabled=true
env.output.path.root=/data/wwwroot/ordertestatt.octlife.cn/tmp
env.output.path.template=/template
env.output.path.storage=/_storage

